Subject: [Stackevo] Program meeting, lunch Tuesday 18.7

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Thu, 22 Jun 2017 07:29:53 +0200

Greetings, all,

I've tentatively reserved the IAB breakout room for a lunch meeting of the Stack Evolution program on Tuesday. We have a fairly light agenda so far; please let me know if there's something to add here.

(1) MaRNEW, two years on; workshop report completion, other public statements?

(2) New draft: what's an endpoint? https://github.com/stackevo/endpoint-draft

(3) New draft: access terminology, RFC 4804-bis: https://github.com/stackevo/4084-bis

Cheers,

Brian

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 22 Jun 2017 08:47:34 -0500

Hi, Brian,

On Thu, Jun 22, 2017 at 12:29 AM, Brian Trammell (IETF) <[email-masked]>
wrote:

> Greetings, all,
>
> I've tentatively reserved the IAB breakout room for a lunch meeting of the
> Stack Evolution program on Tuesday. We have a fairly light agenda so far;
> please let me know if there's something to add here.
>

So, I've heard about a proposal for a research group on paths? I'm
interested in that topic, and wanted to understand where that part of
SEMI/MaRNEW is ending up.

Perhaps that's worth a mention, either under (1) or elsewhere?

> https://github.com/stackevo/4084-bis

Are these ready for comments, or is this just a heads-up that they're
coming?

Thanks,

Spencer

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Thu, 22 Jun 2017 16:12:35 +0200

> On 22 Jun 2017, at 15:47, Spencer Dawkins at IETF <[email-masked]> wrote:
> 
> Hi, Brian,
> 
> On Thu, Jun 22, 2017 at 12:29 AM, Brian Trammell (IETF) <[email-masked]> wrote:
> Greetings, all,
> 
> So, I've heard about a proposal for a research group on paths? I'm interested in that topic, and wanted to understand where that part of SEMI/MaRNEW is ending up.
> 

I'd add it as another point

(4) Path Aware Networking RG

The draft RG proposal is at https://github.com/panrg/meeting-materials/blob/master/charter.md

Some background for those on the program following SPUD/PLUS: the first point in this charter is, in part, the research group that Aaron asked us to consider at the mic line at the SPUD BoF in Dallas, but which appeared to be far too much work (at least to me personally, at least at the time) to take on. What we learned from the PLUS BoF is you need to be pretty particular about what you want to enable when you talk about breaking the end-to-end assumption in the IETF, so it's work that needs to happen.

The drivers for the other two points on the charter are the growth of multiple access (MPTCP, BANANA, etc) and the drive to expose some of this multiple access explicitly to the endpoints, at least on the server/"managed"/"trusted" side of the connection (segment routing), and what that means for transport.

After I stared at SCION [1] for a while, I realized that there are broadly two ways to get some sort of specified treatment from a network:

(1) The endpoints specify the treatment they want through signaling, whether out-of-band, which is crudely what PCP does, or in-band like DSCP or SPUD/PLUS, and the network provides treatment in the intersection of that request and what it can provide within physical and policy constraints.

(2) The network(s) an endpoint is connected to/through make a set of paths available to the endpoint, each of which has specified properties, from which the endpoint can choose.

Or, in other words, if we can't have bits in a UDP shim header for end-to-path signaling because that's a layer violation and/or otherwise dangerous in vaguely specified ways, let's just take bits out of the source and destination address fields instead. ;) SCION handles this more elegatly in that it allows you to explicitly select paths, but if you can't do that you can use segment routing to do path segregation.

> Are these ready for comments, or is this just a heads-up that they're coming?

Neither is ready for comments as a draft. Both are ready for comments as concepts. It's also not clear to me that the 4084-bis draft is a Stack Evolution draft or a publication of the IAB as a committee of the whole.

Cheers,

Brian

[1] http://scion-architecture.net is an FIA with secure AS-level source routing and explicit multipath routing, and is what I spend 20% of my ETH time on. Those of you on the IAB may recall the tech chat we had about it last year; the book mentioned there in its 463 pages of Springer-formatted glory are now available at http://scion-architecture.net/pdf/SCION-book.pdf.

---

From: "Aaron Falk" <[email-masked]>
Date: Thu, 22 Jun 2017 10:52:30 -0400

Top-posting because I am lazy.  Sorry.

1. I want to hear more about SCION, whether in StackEvo or over a beer, 
to figure out whether I want to embark on “463 pages of
Springer-formatted glory”.

2. IIRC, Alissa posted something about closer IETF collaboration with 
5G.  Is that relevant to MaRNEW?

3. Great to hear about PANRG!  (That makes me 2 for 2 on recent RG ideas 
:)  Is the RG meeting in Prague?

4. Q: Has Allison been added to StackEvo?  Seems like it’s worth 
asking whether she is interested…

5. Seems like at least a lunch’s worth of topics.

—aaron

On 22 Jun 2017, at 10:12, Brian Trammell (IETF) wrote:

>> I've tentatively reserved the IAB breakout room for a lunch meeting 
>> of the Stack Evolution program on Tuesday. We have a fairly light 
>> agenda so far; please let me know if there's something to add here.
>>
> The draft RG proposal is at 
> https://github.com/panrg/meeting-materials/blob/master/charter.md
>
> Some background for those on the program following SPUD/PLUS: the 
> first point in this charter is, in part, the research group that Aaron 
> asked us to consider at the mic line at the SPUD BoF in Dallas, but 
> which appeared to be far too much work (at least to me personally, at 
> least at the time) to take on. What we learned from the PLUS BoF is 
> you need to be pretty particular about what you want to enable when 
> you talk about breaking the end-to-end assumption in the IETF, so it's 
> work that needs to happen.
>
> The drivers for the other two points on the charter are the growth of 
> multiple access (MPTCP, BANANA, etc) and the drive to expose some of 
> this multiple access explicitly to the endpoints, at least on the 
> server/"managed"/"trusted" side of the connection (segment routing), 
> and what that means for transport.
>
> After I stared at SCION [1] for a while, I realized that there are 
> broadly two ways to get some sort of specified treatment from a 
> network:
>
> (1) The endpoints specify the treatment they want through signaling, 
> whether out-of-band, which is crudely what PCP does, or in-band like 
> DSCP or SPUD/PLUS, and the network provides treatment in the 
> intersection of that request and what it can provide within physical 
> and policy constraints.
>
> (2) The network(s) an endpoint is connected to/through make a set of 
> paths available to the endpoint, each of which has specified 
> properties, from which the endpoint can choose.
>
> Or, in other words, if we can't have bits in a UDP shim header for 
> end-to-path signaling because that's a layer violation and/or 
> otherwise dangerous in vaguely specified ways, let's just take bits 
> out of the source and destination address fields instead. ;) SCION 
> handles this more elegatly in that it allows you to explicitly select 
> paths, but if you can't do that you can use segment routing to do path 
> segregation.
>
>> (2) New draft: what's an endpoint? 
>> https://github.com/stackevo/endpoint-draft
>>
> Neither is ready for comments as a draft. Both are ready for comments 
> as concepts. It's also not clear to me that the 4084-bis draft is a 
> Stack Evolution draft or a publication of the IAB as a committee of 
> the whole.
>
> Cheers,
>
> Brian
>
> [1] http://scion-architecture.net is an FIA with secure AS-level 
> source routing and explicit multipath routing, and is what I spend 20% 
> of my ETH time on. Those of you on the IAB may recall the tech chat we 
> had about it last year; the book mentioned there in its 463 pages of 
> Springer-formatted glory are now available at 
> http://scion-architecture.net/pdf/SCION-book.pdf.
>
> _______________________________________________
> Stackevo mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/stackevo

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Thu, 22 Jun 2017 17:06:20 +0200

> On 22 Jun 2017, at 16:52, Aaron Falk <[email-masked]> wrote:
> 

Inlining your top post because reasons. :)

> 	• I want to hear more about SCION, whether in StackEvo or over a beer, to figure out whether I want to embark on “463 pages of

Happy to have a the quick beer talk; when do you arrive in Prague? Adrian will also do 15-20 minutes on it at PANRG, as well. I can also recommend a nine-page path through the book as an intro: section 1.2 followed by the front matter to section 2.

> 	• IIRC, Alissa posted something about closer IETF collaboration with 5G. Is that relevant to MaRNEW?

Definitely, though, it's not yet clear to me *how*. At least I think we're building the relationships to figure out how, which is good.

> 	• Great to hear about PANRG! (That makes me 2 for 2 on recent RG ideas :) Is the RG meeting in Prague?

Wednesday 13:30 on the current tentative agenda.

> 	• Q: Has Allison been added to StackEvo? Seems like it’s worth asking whether she is interested…

An excellent suggestion.

Thanks, cheers,

Brian

> 	• Seems like at least a lunch’s worth of topics.
> 
> —aaron
>

---

From: "Aaron Falk" <[email-masked]>
Date: Thu, 22 Jun 2017 11:19:49 -0400

On 22 Jun 2017, at 11:06, Brian Trammell (IETF) wrote:

>> 	• I want to hear more about SCION, whether in StackEvo or over a 
>> beer, to figure out whether I want to embark on “463 pages of
> Happy to have a the quick beer talk; when do you arrive in Prague?

I land Friday 4pm.

—aaron

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 22 Jun 2017 15:30:39 -0500

Fwiw, and this is ONLY my opinion.

> Springer-formatted glory”.

Happy to have a the quick beer talk; when do you arrive in Prague? Adrian
will also do 15-20 minutes on it at PANRG, as well. I can also recommend a
nine-page path through the book as an intro: section 1.2 followed by the
front matter to section 2.

>       • IIRC, Alissa posted something about closer IETF collaboration
with 5G. Is that relevant to MaRNEW?

Definitely, though, it's not yet clear to me *how*. At least I think we're
building the relationships to figure out how, which is good.

I'm not sure how well the conversation about 5GIP on the BOF coordination
call and the associated conversations on email and jabber captured this,
but I'd summarize my thinking on 5G in general as:

5G's a marketing term, and we expect a lot of "what 5G needs" will come
from existing protocols, and from current work that's already chartered in
multiple working groups.

However, we're very interested in gap analysis that points to what's needed
and won't be available unless we charter new work.

However, we're just as happy to listen to good ideas, whether or not they
are pupported to meet 5G requirements, because other folk will use the
output in other environments.

However, what's in 5G is still up for grabs, and the IETF doesn't want to
claim that we know more about 5G requirements than 3GPP (to name only one
relevant SDO) knows.

So, "building the relationships" sounds about right.

An excellent suggestion.

Thanks, cheers,

Brian

>       • Seems like at least a lunch’s worth of topics.

Indeed.

Spencer

wrote:
> Greetings, all,
>
> I've tentatively reserved the IAB breakout room for a lunch meeting of
the Stack Evolution program on Tuesday. We have a fairly light agenda so
far; please let me know if there's something to add here.
> Some background for those on the program following SPUD/PLUS: the first
point in this charter is, in part, the research group that Aaron asked us
to consider at the mic line at the SPUD BoF in Dallas, but which appeared
to be far too much work (at least to me personally, at least at the time)
to take on. What we learned from the PLUS BoF is you need to be pretty
particular about what you want to enable when you talk about breaking the
end-to-end assumption in the IETF, so it's work that needs to happen.
> The drivers for the other two points on the charter are the growth of
multiple access (MPTCP, BANANA, etc) and the drive to expose some of this
multiple access explicitly to the endpoints, at least on the
server/"managed"/"trusted" side of the connection (segment routing), and
what that means for transport.
> (1) The endpoints specify the treatment they want through signaling,
whether out-of-band, which is crudely what PCP does, or in-band like DSCP
or SPUD/PLUS, and the network provides treatment in the intersection of
that request and what it can provide within physical and policy constraints.
> (2) The network(s) an endpoint is connected to/through make a set of
paths available to the endpoint, each of which has specified properties,
from which the endpoint can choose.
> Or, in other words, if we can't have bits in a UDP shim header for
end-to-path signaling because that's a layer violation and/or otherwise
dangerous in vaguely specified ways, let's just take bits out of the source
and destination address fields instead. ;) SCION handles this more elegatly
in that it allows you to explicitly select paths, but if you can't do that
you can use segment routing to do path segregation.
coming?
>
> Neither is ready for comments as a draft. Both are ready for comments as
concepts. It's also not clear to me that the 4084-bis draft is a Stack
Evolution draft or a publication of the IAB as a committee of the whole.
>
> Cheers,
>
> Brian
>
> [1] http://scion-architecture.net is an FIA with secure AS-level source
routing and explicit multipath routing, and is what I spend 20% of my ETH
time on. Those of you on the IAB may recall the tech chat we had about it
last year; the book mentioned there in its 463 pages of Springer-formatted
glory are now available at http://scion-architecture.net/pdf/SCION-book.pdf.

---

From: Natasha Rooney <[email-masked]>
Date: Fri, 23 Jun 2017 11:21:27 +0000

I’ll get some stuff together to answer some of Spencer's requests for our meeting at 99; mostly, the work which may come to IETF from 5G specs at 3GPP.

Natasha Rooney | Internet Engineering Director | Internet and Web Team | Technology | GSMA | [email-masked]<mailto:[email-masked]> | +44 (0) 7730 219 765 | @thisNatasha | Skype: [email-masked]<mailto:[email-masked]>

On 22 Jun 2017, at 21:30, Spencer Dawkins at IETF <[email-masked]<mailto:[email-masked]>> wrote:

On Jun 22, 2017 10:06, "Brian Trammell (IETF)" <[email-masked]<mailto:[email-masked]>> wrote:

> On 22 Jun 2017, at 16:52, Aaron Falk <[email-masked]<mailto:[email-masked]>> wrote:
>

I'm not sure how well the conversation about 5GIP on the BOF coordination call and the associated conversations on email and jabber captured this, but I'd summarize my thinking on 5G in general as:

5G's a marketing term, and we expect a lot of "what 5G needs" will come from existing protocols, and from current work that's already chartered in multiple working groups.

However, we're very interested in gap analysis that points to what's needed and won't be available unless we charter new work.

However, we're just as happy to listen to good ideas, whether or not they are pupported to meet 5G requirements, because other folk will use the output in other environments.

However, what's in 5G is still up for grabs, and the IETF doesn't want to claim that we know more about 5G requirements than 3GPP (to name only one relevant SDO) knows.

An excellent suggestion.

Thanks, cheers,

Brian

Indeed.

Spencer

> On 22 Jun 2017, at 15:47, Spencer Dawkins at IETF <[email-masked]<mailto:[email-masked]>> wrote:
>
> Hi, Brian,
>
> On Thu, Jun 22, 2017 at 12:29 AM, Brian Trammell (IETF) <[email-masked]<mailto:[email-masked]>> wrote:
> Greetings, all,
>
> [1] http://scion-architecture.net<http://scion-architecture.net/> is an FIA with secure AS-level source routing and explicit multipath routing, and is what I spend 20% of my ETH time on. Those of you on the IAB may recall the tech chat we had about it last year; the book mentioned there in its 463 pages of Springer-formatted glory are now available at http://scion-architecture.net/pdf/SCION-book.pdf.
>
> [email-masked]<mailto:[email-masked]>

_______________________________________________
Stackevo mailing list
[email-masked]<mailto:[email-masked]>
https://www.iab.org/mailman/listinfo/stackevo

This email and its attachments are intended for the above named only and may be confidential. If they have come to you in error you must take no action based on them, nor must you copy or show them to anyone; please reply to this email or call +44 207 356 0600 and highlight the error.

---

From: Ted Hardie <[email-masked]>
Date: Fri, 23 Jun 2017 07:58:53 -0700

Howdy,

Sorry to throw a spanner in the timing, but the hoped-for 5G lunch talk
looks like it will be at the same time.  The title,  "3GPP & IETF
colaboration on 5g", probably hides a few topics of interest to stackevo,
and some of the IAB will get conflicted as a result of attending.

Perhaps a breakfast?

Ted

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Fri, 23 Jun 2017 22:45:54 +0200

None of the breakfast slots are available for both the IESG and IAB. We could place the stackevo program in one of the IAB business meeting slots if there is room, or on Wednesday lunch against wgchairs.

Sent from my iPhone

> On 23 Jun 2017, at 16:58, Ted Hardie <[email-masked]> wrote:
> 
> Howdy,
> 
> Sorry to throw a spanner in the timing, but the hoped-for 5G lunch talk looks like it will be at the same time.  The title,  "3GPP & IETF colaboration on 5g", probably hides a few topics of interest to stackevo, and some of the IAB will get conflicted as a result of attending.
> 
> Perhaps a breakfast?
> 
> Ted
> 
>> On Wed, Jun 21, 2017 at 10:29 PM, Brian Trammell (IETF) <[email-masked]> wrote:
>> Greetings, all,
>>

---

From: Ted Hardie <[email-masked]>
Date: Sun, 25 Jun 2017 01:31:17 -0700

On Fri, Jun 23, 2017 at 1:45 PM, Brian Trammell (IETF) <[email-masked]>
wrote:

> None of the breakfast slots are available for both the IESG and IAB. We
> could place the stackevo program in one of the IAB business meeting slots
> if there is room, or on Wednesday lunch against wgchairs.
>
>
I haven't seen the agenda for wgchairs, but that might work.  We don't have
agendas proposed for some of the IAB meetings either, so we can probably
count on one getting canceled.  Let's discuss with the IAB on Wednesday; I
think Martin has also sent out a doodle for privsec, and we'll have to work
that out as well.

Ted

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Mon, 26 Jun 2017 09:23:26 +0200

So it looks like the wgchairs slot is winning the privsec poll at the
moment. So let's see if we can compress the IAB business meeting agenda,
and take one of the mornings for stackevo.

(non-IAB program members: does anyone have a preference? Monday,
Wednesday, and Thursday would be available. There's already an IESG
breakfast on Tuesday.)

Cheers,

Brian

On 06/25/2017 10:31 AM, Ted Hardie wrote:
> On Fri, Jun 23, 2017 at 1:45 PM, Brian Trammell (IETF) <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     None of the breakfast slots are available for both the IESG and IAB.
>     We could place the stackevo program in one of the IAB business
>     meeting slots if there is room, or on Wednesday lunch against wgchairs.
> 
> 
> I haven't seen the agenda for wgchairs, but that might work.  We don't
> have agendas proposed for some of the IAB meetings either, so we can
> probably count on one getting canceled.  Let's discuss with the IAB on
> Wednesday; I think Martin has also sent out a doodle for privsec, and
> we'll have to work that out as well.
> 
> Ted
>  
> 
>     Sent from my iPhone
> 
>     On 23 Jun 2017, at 16:58, Ted Hardie <[email-masked]
>     <mailto:[email-masked]>> wrote:
> 
>>     Howdy,
>>
>>     Sorry to throw a spanner in the timing, but the hoped-for 5G lunch
>>     talk looks like it will be at the same time.  The title,  "3GPP &
>>     IETF colaboration on 5g", probably hides a few topics of interest
>>     to stackevo, and some of the IAB will get conflicted as a result
>>     of attending.
>>
>>     Perhaps a breakfast?
>>
>>     Ted
>>
>>     On Wed, Jun 21, 2017 at 10:29 PM, Brian Trammell (IETF)
>>     <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>         Greetings, all,
>>
>>         I've tentatively reserved the IAB breakout room for a lunch
>>         meeting of the Stack Evolution program on Tuesday. We have a
>>         fairly light agenda so far; please let me know if there's
>>         something to add here.
>>
>>         <https://github.com/stackevo/endpoint-draft>
>>
>>         <https://github.com/stackevo/4084-bis>
>>
>>
>>         Cheers,
>>
>>         Brian
>>
>>         [email-masked] <mailto:[email-masked]>
>>         <https://www.iab.org/mailman/listinfo/stackevo>
>>
>>
>>     [email-masked] <mailto:[email-masked]>
>>     <https://www.iab.org/mailman/listinfo/stackevo>
> 
> 
> 
>

---

From: "Aaron Falk" <[email-masked]>
Date: Mon, 26 Jun 2017 11:59:51 -0400

No preference.

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Wed, 28 Jun 2017 23:03:19 +0200

Greetings all,

We've freed up the IAB room, so let's move the Stackevo program meeting to breakfast Wednesday 19.7.

Breakfast is available from 7:30, meeting begins at 8:00.

Cheers,

Brian

> On 26 Jun 2017, at 17:59, Aaron Falk <[email-masked]> wrote:
> 
> No preference.
>

---

From: Mirja Kühlewind <[email-masked]>
Date: Wed, 28 Jun 2017 22:59:46 -0700

Sorry I didn’t read this carefully but actually the IESG breakfasts are Monday and Wednesday…

> Am 28.06.2017 um 14:03 schrieb Brian Trammell (IETF) <[email-masked]>:
> 
> Greetings all,
>

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Thu, 29 Jun 2017 09:38:45 +0200

Bah, okay, that changed since the last time I saw the IESG wiki. SO, attempt #3, let's do this this way:

IAB Technical Plenary Planning Program: Tuesday breakfast (7:30 breakfast, 8:00 agenda)

IAB Stack Evolution Program: Wednesday breakfast (7:30 breakfast, 8:00 agenda)

Any problems with this please yell soon.

Cheers,

Brian

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Thu, 29 Jun 2017 11:32:38 +0200

BAH. Attempt #4: what I meant:

IAB Stack Evolution Program: Tuesday breakfast (7:30 breakfast, 8:00 agenda)

IAB Technical Plenary Planning Program: Wednesday breakfast (7:30 breakfast, 8:00 agenda)

Cheers,

Brian

> On 29 Jun 2017, at 09:38, Brian Trammell (IETF) <[email-masked]> wrote:
>

---

From: "Aaron Falk" <[email-masked]>
Date: Thu, 29 Jun 2017 10:24:06 -0400

Location?

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Thu, 29 Jun 2017 16:37:41 +0200

And now to change the subject, so people who only read the subjects of emails will know what's going on. :)

> On 29 Jun 2017, at 11:32, Brian Trammell (IETF) <[email-masked]> wrote:
>

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Thu, 29 Jun 2017 16:41:09 +0200

IAB breakout room, "Herkovka".

> On 29 Jun 2017, at 16:24, Aaron Falk <[email-masked]> wrote:
> 
> Location?
>